define(['require', 'app'],
    function(require, APP) {
        /**
         * Controller for rp generated by Appery.io
         * @module rp
         */
        APP.controller('rp', ['$scope', 'Apperyio', controller]);

        function controller($scope, Apperyio) {
            /**
             * user controller variables
             */
            /**
             * User controller functions
             */
            /**
             * @function init
             */
            $scope.init = function() {
                $scope.restoreOk = false;
                $scope.bloqueoTemporal = false;
                var $routeParams = Apperyio.get("$routeParams");
                //alert(JSON.stringify($routeParams));
                $scope.token = $routeParams.t;
            };
            /**
             * @function actualizar
             */
            $scope.actualizar = function() {
                //validaciones
                if (!$scope.token) {
                    $scope.mAlert("No viene token para recuperación de clave");
                    return;
                }
                if (!$scope.username) {
                    $scope.mAlert("Debe ingresar Username");
                    return;
                }
                if ($scope.username.trim().length < $scope.minLengthUsername) {
                    $scope.mAlert("El username debe ser de largo " + $scope.minLengthUsername + " o superior");
                    return;
                }
                if (!$scope.password) {
                    $scope.mAlert("Debe ingresar Password");
                    return;
                }
                if ($scope.password.trim().length < $scope.minLengthPassword) {
                    $scope.mAlert("La password debe ser de largo " + $scope.minLengthUsername + " o superior");
                    return;
                }
                if ($scope.password.trim() != $scope.repassword.trim()) {
                    $scope.mAlert("Las password no coinciden");
                    return;
                }
                //$scope.showLoading("Ejecutando la operación");
                var requestData = {};
                requestData = (function mapping2436($scope) {
                    var requestData = {};
                    requestData.params = {};
                    requestData.params.username = $scope.username.trim();
                    requestData.params.password = $scope.password.trim();
                    requestData.params.token = $scope.token.trim();
                    return requestData;
                    /*|button_mapping|onbeforesend|E532FD14-901C-5E5F-0A53-8225D8E7F58C||2436|*/
                })($scope);
                $scope.bloqueoTemporal = true;
                // read more about using rest services: https://links.appery.io/ve-snippet-rest
                Apperyio.get("passwordRestore_service")(requestData).then( /*|service_bookmark|bookmark|E532FD14-901C-5E5F-0A53-8225D8E7F58C||6961|*/
                    function(success) { // success callback
                        /*|button_mapping|onsuccess|E532FD14-901C-5E5F-0A53-8225D8E7F58C||8877|*/
                        if (success.data.code == "00") {
                            $scope.mAlert("Su contraseña se ha restaurado con éxito!");
                            $scope.restoreOk = true;
                        } else {
                            $scope.mAlert("ERROR: No se ha podido completar la opreación (cod: " + success.data.code + "): " + success.data.message);
                        }
                        $scope.bloqueoTemporal = false;
                    },
                    function(error) { // callback to handle request error
                        $scope.mAlert("ERROR: Error inesperado al ejecutar la opreación (cod: " + error.data.code + ")" + error.data.message);
                        $scope.bloqueoTemporal = false;
                    },
                    function(notify) { // notify callback, can fire few times
                    });
            };
            /**
             * @function goToHome
             */
            $scope.goToHome = function() {
                window.location = "https://www.laboro.cl";
            };
        }
    });